<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
MultipleKeyDatabaseEntry..::.GetEnumerator Method
MultipleKeyDatabaseEntry Class See Also Send Feedback

Return an enumerator which iterates over all DatabaseEntry pairs represented by the MultipleKeyDatabaseEntry.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.35.0

# Syntax

C#

    public IEnumerator<KeyValuePair<DatabaseEntry, DatabaseEntry>> GetEnumerator()

Visual Basic (Declaration)

    Public Function GetEnumerator As IEnumerator(Of KeyValuePair(Of DatabaseEntry, DatabaseEntry))

Visual C++

    public:
    virtual IEnumerator<KeyValuePair<DatabaseEntry^, DatabaseEntry^>>^ GetEnumerator() sealed

#### Return Value

An enumerator for the MultipleDatabaseEntry

#### Implements

IEnumerable<(Of <(T>)>)..::.GetEnumerator()()()

# See Also

MultipleKeyDatabaseEntry Class
BerkeleyDB Namespace